VTK: vtk::detail::ValueReference< ArrayType, TupleSize > Struct Template Reference

| VTK 9.3.1

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
vtk::detail::ValueReference< ArrayType, TupleSize > Struct Template Reference

`#include <vtkDataArrayValueRange_Generic.h>`

## Public Types
using | value_type = APIType

## Public Member Functions
VTK_ITER_INLINE | ValueReference () noexcept
VTK_ITER_INLINE | ValueReference (ArrayType *array, IdStorageType id) noexcept
VTK_ITER_INLINE | ValueReference (const ValueReference &o) noexcept=default
VTK_ITER_INLINE | ValueReference (ValueReference &&o) noexcept=default
VTK_ITER_INLINE ValueReference | operator= (const ValueReference &o) noexcept
VTK_ITER_INLINE ValueReference | operator= (ValueReference &&o) noexcept
template<typename OArray , ComponentIdType OSize>
VTK_ITER_INLINE ValueReference | operator= (const ValueReference< OArray, OSize > &o) noexcept
VTK_ITER_INLINE | operator APIType () const noexcept
VTK_ITER_INLINE ValueReference | operator= (APIType val) noexcept
VTK_ITER_INLINE ValueReference | operator++ () noexcept
VTK_ITER_INLINE APIType | operator++ (int) noexcept
VTK_ITER_INLINE ValueReference | operator-- () noexcept
VTK_ITER_INLINE APIType | operator-- (int) noexcept

## Protected Member Functions
void | CopyReference (const ValueReference &o) noexcept

## Protected Attributes
ArrayType * | Array
IdStorageType | Id

## Friends
struct | ConstValueReference< ArrayType, TupleSize >
struct | ValueIterator< ArrayType, TupleSize >
VTK_ITER_INLINE void | swap (ValueReference lhs, ValueReference rhs) noexcept
template<typename OArray , ComponentIdType OSize>
VTK_ITER_INLINE void | swap (ValueReference lhs, ValueReference< OArray, OSize > rhs) noexcept
VTK_ITER_INLINE void | swap (ValueReference lhs, APIType &rhs) noexcept
VTK_ITER_INLINE void | swap (APIType &lhs, ValueReference rhs) noexcept

## Detailed Description

### template<typename ArrayType, ComponentIdType TupleSize>
struct vtk::detail::ValueReference< ArrayType, TupleSize >

Definition at line 298 of file vtkDataArrayValueRange_Generic.h.

## Member Typedef Documentation

## ◆ value_type

template<typename ArrayType , ComponentIdType TupleSize>

using vtk::detail::ValueReference< ArrayType, TupleSize >::value_type = APIType

Definition at line 308 of file vtkDataArrayValueRange_Generic.h.

## Constructor & Destructor Documentation

## ◆ ValueReference() [1/4]

template<typename ArrayType , ComponentIdType TupleSize>

VTK_ITER_INLINE vtk::detail::ValueReference< ArrayType, TupleSize >::ValueReference | ( |  | ) |
| inlinenoexcept

Definition at line 311 of file vtkDataArrayValueRange_Generic.h.

## ◆ ValueReference() [2/4]

template<typename ArrayType , ComponentIdType TupleSize>

VTK_ITER_INLINE vtk::detail::ValueReference< ArrayType, TupleSize >::ValueReference | ( | ArrayType * | array,
|  | IdStorageType | id
| ) |  |
| inlinenoexcept

Definition at line 318 of file vtkDataArrayValueRange_Generic.h.

## ◆ ValueReference() [3/4]

template<typename ArrayType , ComponentIdType TupleSize>

VTK_ITER_INLINE vtk::detail::ValueReference< ArrayType, TupleSize >::ValueReference | ( | const ValueReference< ArrayType, TupleSize > & | o | ) |
| defaultnoexcept

## ◆ ValueReference() [4/4]

template<typename ArrayType , ComponentIdType TupleSize>

VTK_ITER_INLINE vtk::detail::ValueReference< ArrayType, TupleSize >::ValueReference | ( | ValueReference< ArrayType, TupleSize > && | o | ) |
| defaultnoexcept

## Member Function Documentation

## ◆ operator=() [1/4]

template<typename ArrayType , ComponentIdType TupleSize>

VTK_ITER_INLINE ValueReference vtk::detail::ValueReference< ArrayType, TupleSize >::operator= | ( | const ValueReference< ArrayType, TupleSize > & | o | ) |
| inlinenoexcept

Definition at line 331 of file vtkDataArrayValueRange_Generic.h.

## ◆ operator=() [2/4]

template<typename ArrayType , ComponentIdType TupleSize>

VTK_ITER_INLINE ValueReference vtk::detail::ValueReference< ArrayType, TupleSize >::operator= | ( | ValueReference< ArrayType, TupleSize > && | o | ) |
| inlinenoexcept

Definition at line 346 of file vtkDataArrayValueRange_Generic.h.

## ◆ operator=() [3/4]

template<typename ArrayType , ComponentIdType TupleSize>
template<typename OArray , ComponentIdType OSize>

VTK_ITER_INLINE ValueReference vtk::detail::ValueReference< ArrayType, TupleSize >::operator= | ( | const ValueReference< OArray, OSize > & | o | ) |
| inlinenoexcept

Definition at line 361 of file vtkDataArrayValueRange_Generic.h.

## ◆ operator APIType()

template<typename ArrayType , ComponentIdType TupleSize>

VTK_ITER_INLINE vtk::detail::ValueReference< ArrayType, TupleSize >::operator APIType | ( |  | ) | const
| inlinenoexcept

Definition at line 368 of file vtkDataArrayValueRange_Generic.h.

## ◆ operator=() [4/4]

template<typename ArrayType , ComponentIdType TupleSize>

VTK_ITER_INLINE ValueReference vtk::detail::ValueReference< ArrayType, TupleSize >::operator= | ( | APIType | val | ) |
| inlinenoexcept

Definition at line 377 of file vtkDataArrayValueRange_Generic.h.

## ◆ operator++() [1/2]

template<typename ArrayType , ComponentIdType TupleSize>

VTK_ITER_INLINE ValueReference vtk::detail::ValueReference< ArrayType, TupleSize >::operator++ | ( |  | ) |
| inlinenoexcept

Definition at line 420 of file vtkDataArrayValueRange_Generic.h.

## ◆ operator++() [2/2]

template<typename ArrayType , ComponentIdType TupleSize>

VTK_ITER_INLINE APIType vtk::detail::ValueReference< ArrayType, TupleSize >::operator++ | ( | int |  | ) |
| inlinenoexcept

Definition at line 428 of file vtkDataArrayValueRange_Generic.h.

## ◆ operator--() [1/2]

template<typename ArrayType , ComponentIdType TupleSize>

VTK_ITER_INLINE ValueReference vtk::detail::ValueReference< ArrayType, TupleSize >::operator-- | ( |  | ) |
| inlinenoexcept

Definition at line 436 of file vtkDataArrayValueRange_Generic.h.

## ◆ operator--() [2/2]

template<typename ArrayType , ComponentIdType TupleSize>

VTK_ITER_INLINE APIType vtk::detail::ValueReference< ArrayType, TupleSize >::operator-- | ( | int |  | ) |
| inlinenoexcept

Definition at line 444 of file vtkDataArrayValueRange_Generic.h.

## ◆ CopyReference()

template<typename ArrayType , ComponentIdType TupleSize>

void vtk::detail::ValueReference< ArrayType, TupleSize >::CopyReference | ( | const ValueReference< ArrayType, TupleSize > & | o | ) |
| inlineprotectednoexcept

Definition at line 483 of file vtkDataArrayValueRange_Generic.h.

## Friends And Related Function Documentation

## ◆ ConstValueReference< ArrayType, TupleSize >

template<typename ArrayType , ComponentIdType TupleSize>

friend struct ConstValueReference< ArrayType, TupleSize >
| friend

Definition at line 444 of file vtkDataArrayValueRange_Generic.h.

## ◆ ValueIterator< ArrayType, TupleSize >

template<typename ArrayType , ComponentIdType TupleSize>

friend struct ValueIterator< ArrayType, TupleSize >
| friend

Definition at line 444 of file vtkDataArrayValueRange_Generic.h.

## ◆ swap [1/4]

template<typename ArrayType , ComponentIdType TupleSize>

VTK_ITER_INLINE void swap | ( | ValueReference< ArrayType, TupleSize > | lhs,
|  | ValueReference< ArrayType, TupleSize > | rhs
| ) |  |
| friend

Definition at line 386 of file vtkDataArrayValueRange_Generic.h.

## ◆ swap [2/4]

template<typename ArrayType , ComponentIdType TupleSize>
template<typename OArray , ComponentIdType OSize>

VTK_ITER_INLINE void swap | ( | ValueReference< ArrayType, TupleSize > | lhs,
|  | ValueReference< OArray, OSize > | rhs
| ) |  |
| friend

Definition at line 394 of file vtkDataArrayValueRange_Generic.h.

## ◆ swap [3/4]

template<typename ArrayType , ComponentIdType TupleSize>

VTK_ITER_INLINE void swap | ( | ValueReference< ArrayType, TupleSize > | lhs,
|  | APIType & | rhs
| ) |  |
| friend

Definition at line 405 of file vtkDataArrayValueRange_Generic.h.

## ◆ swap [4/4]

template<typename ArrayType , ComponentIdType TupleSize>

VTK_ITER_INLINE void swap | ( | APIType & | lhs,
|  | ValueReference< ArrayType, TupleSize > | rhs
| ) |  |
| friend

Definition at line 412 of file vtkDataArrayValueRange_Generic.h.

## Member Data Documentation

## ◆ Array

template<typename ArrayType , ComponentIdType TupleSize>

ArrayType* vtk::detail::ValueReference< ArrayType, TupleSize >::Array
| mutableprotected

Definition at line 489 of file vtkDataArrayValueRange_Generic.h.

## ◆ Id

template<typename ArrayType , ComponentIdType TupleSize>

IdStorageType vtk::detail::ValueReference< ArrayType, TupleSize >::Id
| protected

Definition at line 490 of file vtkDataArrayValueRange_Generic.h.

The documentation for this struct was generated from the following file:

- Common/Core/vtkDataArrayValueRange_Generic.h